cpulimit (3.2-2) unstable; urgency=medium

  * Update Vcs-* fields to salsa.
  * debian/watch: use version 5.
  * Add debian/gbp.conf.
  * Add debian/salsa-ci.yml.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.4.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 May 2026 20:31:46 +0200

cpulimit (3.2-1) unstable; urgency=medium

  * Import upstream version 3.2.
    - Updated kernel HZ value to default to 250 on Linux since that is the
      configuration default.
    - Added new command line parameter, -j (--hz) which allows the user to
      override the kernel HZ value. We assume 250 on Linux and 100 on other
      kernels, but the user can set this to any integer value.
    Thanks: наб for the bug report, and Jesse Smith for the super quick fix.
    Closes: #1124028
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.3.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Dec 2025 20:23:46 +0100

cpulimit (3.1-1) unstable; urgency=medium

  * Import upstream version 3.1.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 May 2024 10:45:19 +0200

cpulimit (3.0-1) unstable; urgency=medium

  * Import upstream version 3.0.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.
  * Use HTTPS for upstream homepage URL.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Jul 2023 17:19:24 +0200

cpulimit (2.8-1) unstable; urgency=medium

  * Import upstream version 2.8.
    Fixes "Version mismatch on cpulimit?" (Closes: #1012153)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.
  * debian/tests/limitperl: make cpulimit verbose.
    Otherwise we get not enough output.

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Nov 2022 01:12:24 +0100

cpulimit (2.7-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.6.0.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Nov 2021 20:51:14 -0800

cpulimit (2.7-1) experimental; urgency=medium

  * Import upstream version 2.7.
  * Explicitly depend on grep for the 'help' test in debian/tests/control.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.
  * Bump debhelper-compat to 13.
  * Add an empty override_dh_auto_test to debian/rules
    as there are no tests.
  * Upload to experimental as Debian is in hard freeze.

 -- gregor herrmann <gregoa@debian.org>  Thu, 06 May 2021 19:49:30 +0200

cpulimit (2.6-3) unstable; urgency=medium

  * Use more macros in debian/watch.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Wrap long lines in changelog entries: 1.1-8.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 May 2020 20:21:59 +0200

cpulimit (2.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Jul 2019 20:13:19 +0200

cpulimit (2.6-1) experimental; urgency=medium

  [ tony mancill ]
  * Bump Standards-Version to 4.2.1
  * Update debhelper to version 11
  * Update years of packaging copyright.

  [ gregor herrmann ]
  * Import upstream version 2.6.
  * Update Vcs-* fields and drop lintian source override
    about old insecure URLs.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper-compat to 12.
  * Remove trailing whitespace from debian/*.
  * debian/watch: use uscan version 4.
  * Update debian/cpulimit.docs: remove deleted TODO.
  * Add a duck override for a false positive.
  * Add simple autopkgtests.
  * Upload to experimental because of the freeze for buster.

 -- gregor herrmann <gregoa@debian.org>  Tue, 09 Apr 2019 22:06:18 +0200

cpulimit (2.5-1) unstable; urgency=medium

  * New upstream version 2.5.
  * Update years of packaging copyright.
  * debian/copyright: use HTTPS for Copyright-Format URL. Thanks to duck.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Jun 2017 17:14:51 +0200

cpulimit (2.4-1) unstable; urgency=medium

  * New upstream release.
    Fixes feature request "cpulimit doesn't support --include-children".
    (Closes: #843890)
  * Update years of upstream copyright.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Nov 2016 20:03:46 +0100

cpulimit (2.3-1) unstable; urgency=medium

  * New upstream release.
    Fixes feature request "foreground option". (Closes: #836027)
  * Drop manpage-hypen-minus.patch patch, merged upstream.
  * Update years of packaging copyright.
  * Use https for Source URL in debian/copyright.
    Thanks to duck.
  * debian/copyright: update GPL-2 stanza.
    It's called "GNU _General_ Public license".
    Thanks to lintian.
  * debian/rules: build with all hardening flags enabled.
    Thanks to lintian.
  * Add lintian override for insecure Vcs-* URLs.
    The host doesn't support https yet.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Tue, 30 Aug 2016 19:02:24 +0200

cpulimit (2.2-1) unstable; urgency=medium

  * New upstream release:
    - Added --quiet (-q) flag to make cpulimit run silently.
    - Added --signal (-s) flag. Allows the user to specify an alternative
      signal to send a watched process when cpulimit terminates.
  * Add a patch to fix a hyphen-used-as-minus-sign problem in the manpage.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 May 2014 20:20:31 +0200

cpulimit (2.0-1) unstable; urgency=medium

  * New upstream release:
    - Added the -- flag to make sure child processes run with command line
      flags would not confuse cpulimit.
    Closes: #733117
    Thanks to Paul Wise for the bug report.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 13 Jan 2014 18:56:06 +0100

cpulimit (1.9-2) unstable; urgency=low

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Jun 2013 20:22:17 +0200

cpulimit (1.9-1) experimental; urgency=low

  * debian/rules: drop `make tests' again. The target is meant for
    developers and doesn't do anything during interactive builds.

  * New upstream release:
      Added --kill (-k) and --restore (-r) flags to allow target processes to
      be killed and restored rather than simply throttled.
  * Update years of upstream and packaging copyright.
  * Set Standards-Version to 3.9.4 (no further changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 13 Jun 2013 18:12:08 +0200

cpulimit (1.8-1) experimental; urgency=low

  * New upstream release. Notable change:
    - properly handle multi-threaded processes on multi-core machines where
      the requested limit is more than 100%.
  * Drop hardening.patch, applied upstream.
  * debian/rules: activate the new test.

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Sep 2012 15:21:12 +0200

cpulimit (1.7-1) unstable; urgency=low

  * New upstream release; includes, among other changes:
    - programs can be launched as cpulimit command line arguments
    - (overridable) auto-detection of number of CPU cores
  * Install new TODO file.
  * Add patch use $(CPPFLAGS) and $(LDFLAGS) in Makefile.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Jun 2012 01:31:12 +0200

cpulimit (1.6-1) unstable; urgency=low

  * New upstream release.
  * Update years of upstream copyright.
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 May 2012 18:34:12 +0200

cpulimit (1.5-1) unstable; urgency=low

  * New upstream release:
    - improve documentation on usage with multi-core CPUs
      Thanks to Markus Waldeck for the proposal.
    - add example of shell usage to documentation
      Thanks to Leen Besselink for the bug report.
      Closes: #653149
  * Update Vcs-* headers.
  * Update years of packaging copyright.
  * Install upstream README, which contains examples.
  * Switch to debhelper compatibility level 9 to get more *FLAGS.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Feb 2012 19:58:50 +0100

cpulimit (1.4-1) unstable; urgency=low

  * New upstream release:
    - now accepts limits of 100% or higher, useful for multi-core systems
      (LP: #822292)
  * Remove debian/cpulimit.dirs, the upstream Makefile now creates the
    directories.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Aug 2011 17:40:56 +0200

cpulimit (1.3-1) unstable; urgency=low

  * New upstream release (LP: #200115).
  * New upstream maintainer and location:
    - debian/watch: update URL
    - debian/control: update Homepage
    - debian/copyright: update upstream copyright and license
    - remove all patches (applied upstream), remove quilt framework
    - remove manpage from debian/ directory, shipped upstream
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump debhelper compatibility level to 8.
  * debian/copyright: update formatting and packaging copyright years.
  * Switch to source format 3.0 (quilt).
  * Set PREFIX in debian/rules and create necessary directories.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 May 2011 15:24:27 +0200

cpulimit (1.1-13) unstable; urgency=low

  * Add patch 04_opendir_leak.patch: cpulimit was leaking opendir() handles.
    Thanks to Johan Walles for the bug report and the patch (closes: #564517).
  * debian/copyright: update formatting, fix reference to common-licenses, and
    add stanza for debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Jan 2010 18:57:37 +0100

cpulimit (1.1-12) unstable; urgency=low

  * Add 03_Makefile.patch: allows to set CFLAGS; use CFLAGS in
    debian/rules; thanks again to Cesare Tirabassi!
  * debian/watch: back to the redirector at qa.debian.org.
  * Capitalize 'CPU' in short and long description, thanks to Filipus Klutiero
    for the bug report (closes: #542868).
  * Switch to debhelper 7.
  * Set Standards-Version to 3.8.3 (no changes).
  * debian/control: make short description a noun phrase.
  * Update manpage with a note about cpulimit breaking interactive shells;
    thanks to Jakub Wilk for the bug report (closes: #558763).

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Dec 2009 20:46:11 +0100

cpulimit (1.1-11) unstable; urgency=low

  * debian/rules:
    - general cleanup
    - create install-stamp target in debian/rules and re-arrange dependencies
    - remove configure and configure-stamp targets
  * Drop debian/dirs, install binary with dh_install from debian/rules.
  * debian/control:
    - Move upstream URL from the description to the new Homepage field
    - change XS-Vcs-* fields to Vcs-*
    - change my email address
  * Switch patch system from dpatch to quilt.
  * Add patch 02_segfault_longoptions.patch; fixes segfault with long
    options (closes: #487233, LP: #241538). Thanks to Daniel van
    Eeden for reporting the problem and to Cesare Tirabassi for the patch.
  * Set Standards-Version to 3.8.0; add debian/README.source to document quilt
    usage.
  * Change debian/copyright to the new machine-readable format.
  * Set debhelper compatibility level to 6.
  * debian/watch: use sourceforge URL directly instead of the redirector at
    qa.debian.org.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Jun 2008 15:41:58 +0200

cpulimit (1.1-10) unstable; urgency=low

  * Add patch to fix 'cpulimit drops priority, then can't get back up. Fix
    included'. Thanks to Ariel for providing the patch. (Closes: #412421)

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat,  3 Mar 2007 21:59:06 +0100

cpulimit (1.1-9) unstable; urgency=low

  * Change watch file, update Homepage: field in debian/control, and mention
    new download URL in debian/copyright (also closes: #410505).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 11 Feb 2007 14:09:13 +0100

cpulimit (1.1-8) unstable; urgency=low

  * Move the cpulimit binary from /usr/sbin to /usr/bin in accordance with the
    FHS (closes: #400842).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu, 30 Nov 2006 19:45:36 +0100

cpulimit (1.1-7) unstable; urgency=low

  * Change homepage in debian/control.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 19 Aug 2006 03:55:18 +0200

cpulimit (1.1-6) unstable; urgency=low

  * Add Tony Mancill to Uploaders.
  * Add examples to manpage (closes: #374838).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun,  2 Jul 2006 13:16:54 +0200

cpulimit (1.1-5) unstable; urgency=low

  * Update to Standards-Version: 3.7.2 (no changes required).
  * Move cpulimit from /usr/bin to /usr/sbin.
  * Fix clean target in debian/rules.
  * Move manpage from section 1 to 8.
  * Initial upload to the Debian archive (closes: #367028).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 13 May 2006 00:02:39 +0200

cpulimit (1.1-4) unstable; urgency=low

  * Update to Standards-Version: 3.7.0 (no changes required).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon,  1 May 2006 14:30:09 +0200

cpulimit (1.1-3) unstable; urgency=low

  * Fixed reference to copyright file in debian/copyright.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu, 20 Apr 2006 18:21:27 +0200

cpulimit (1.1-2) unstable; urgency=low

  * Fixed watch file.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 16 Apr 2006 14:14:59 +0200

cpulimit (1.1-1) unstable; urgency=low

  * Initial release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon,  3 Apr 2006 21:51:36 +0200
